org.springframework.aop.aspectj

## Interface AspectJPrecedenceInformation

- All Superinterfaces:
    Ordered
  All Known Implementing Classes:
    AbstractAspectJAdvice, AspectJAfterAdvice, AspectJAfterReturningAdvice, AspectJAfterThrowingAdvice, AspectJAroundAdvice, AspectJMethodBeforeAdvice

      public interface AspectJPrecedenceInformation
      extends Ordered

  Interface to be implemented by types that can supply the information needed to sort advice/advisors by AspectJ's precedence rules.
  Since:
    2.0
  Author:
    Adrian Colyer
  See Also:
    `AspectJPrecedenceComparator`

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.core.Ordered

      `HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAspectName()` The name of the aspect (bean) in which the advice was declared.
    `int` | `getDeclarationOrder()` The declaration order of the advice member within the aspect.
    `boolean` | `isAfterAdvice()` Return whether this is an after advice.
    `boolean` | `isBeforeAdvice()` Return whether this is a before advice.

    - ### Methods inherited from interface org.springframework.core.Ordered

      `getOrder`

- - ### Method Detail

    - #### getAspectName

          String getAspectName()

      The name of the aspect (bean) in which the advice was declared.

    - #### getDeclarationOrder

          int getDeclarationOrder()

      The declaration order of the advice member within the aspect.

    - #### isBeforeAdvice

          boolean isBeforeAdvice()

      Return whether this is a before advice.

    - #### isAfterAdvice

          boolean isAfterAdvice()

      Return whether this is an after advice.